## kf6-kpackage 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KPackage VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kpackage_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kpackage/kpackage_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PACKAGE
                  VERSION_HEADER "${kpackage_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

set (REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)

find_package(KF6DocTools ${KF_DEP_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

include(KF6PackageMacros.cmake)

# make package_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libkpackage6\")
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

################ create PackageConfig.cmake and install it ####################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Package")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Package_QCH
        FILE KF6PackageQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PackageQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PackageConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PackageMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PackageTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6PackageTargets.cmake
        NAMESPACE KF6::
        COMPONENT Devel)
install(EXPORT KF6PackageToolsTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6PackageToolsTargets.cmake
        NAMESPACE KF6::
        COMPONENT Devel)

install(FILES ${kpackage_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPackage COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kpackage 6.3.0

=== debian/changelog ===
kf6-kpackage (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:15 +0200

kf6-kpackage (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Apr 2024 00:16:34 +0200

kpackage (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:20 +0100

kpackage (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:39 +0200

kpackage (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

kpackage (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

kpackage (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kpackage (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:30 +0100

kpackage (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kpackage (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kpackage (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kpackage (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kpackage (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kpackage (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Add xvfb setup to make build-time tests pass.
  * Update the list of installed files from build logs.
  * Disable tests running in parallel since it breaks plasma-querytest.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kpackage (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Add lintian override for libkf5package5 dependency on kpackagetool5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kpackage (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kpackage (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:55 +0900

kpackage (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kpackage (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:56 +0900

kpackage (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

kpackage (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:22:42 +0900

kpackage (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:17:11 +0900

kpackage (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900



=== debian/control ===
Source: kf6-kpackage
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
Rules-Requires-Root: no

Package: kpackagetool6
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the runtime package management tool.

Package: libkf6package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf6package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kpackagetool6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6package6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6package-doc (= ${source:Version}),
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6package6
Architecture: any
Multi-Arch: same
Depends: libkf6package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagetool6 (>= ${binary:Version}),
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.

## kf6-kpackage 6.6.0

=== debian/changelog ===
kf6-kpackage (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:10:22 +0200

kf6-kpackage (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.
  * Drop the unused ${shlibs:Depends} substvar for libkf6package-data.
  * Backport upstream commit 0d0e1cd5ebf7944d7d8171ff6323348013a29db0 to add
    the include guard to one installed header file; patch
    upstream_Add-missing-include-guard.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:51:58 +0200

kf6-kpackage (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:07 +0200

kf6-kpackage (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
@@ -40,7 +40,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -52,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
          libkf6package6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kpackage 6.10.0

=== debian/changelog ===
kf6-kpackage (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:02 +0100

kf6-kpackage (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:16 +0100

kf6-kpackage (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:26 -0600

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6doctools-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -52,9 +52,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

## kf6-kpackage 6.11.0

=== debian/changelog ===
kf6-kpackage (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6doctools-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
@@ -52,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
          libkf6package6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-kpackage 6.12.0

=== debian/changelog ===
kf6-kpackage (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:53:37 +0000

kf6-kpackage (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:49:09 +0000

kf6-kpackage (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:20:26 +0000

kf6-kpackage (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:11 +0000

kf6-kpackage (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:37:33 +0000

kf6-kpackage (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:07 +0100

kf6-kpackage (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:54 +0100

kf6-kpackage (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols
  * Skip private headers in acc test

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kf6-kpackage
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6doctools-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6doctools-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
 Rules-Requires-Root: no
 
 Package: kpackagetool6
@@ -40,7 +41,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -52,9 +53,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

## kf6-kpackage 6.13.0

=== debian/changelog ===
kf6-kpackage (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kf6-kpackage
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6doctools-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6doctools-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
 Rules-Requires-Root: no
 
 Package: kpackagetool6
@@ -41,7 +40,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -53,9 +52,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

## kf6-kpackage 6.16.0

=== debian/changelog ===
kf6-kpackage (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:46:18 +0100

kf6-kpackage (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:34:25 +0100

kf6-kpackage (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kf6-kpackage
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6archive-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6doctools-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
 Rules-Requires-Root: no
 
 Package: kpackagetool6
@@ -40,7 +41,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -52,9 +53,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

## kf6-kpackage 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,14 +22,11 @@
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMMarkNonGuiExecutable)
-include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kpackage_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kpackage/kpackage_version.h")
 ecm_setup_version(PROJECT
@@ -40,7 +37,7 @@
 
 ################# now find all used packages #################
 
-set (REQUIRED_QT_VERSION 6.6.0)
+set (REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core)
 
@@ -66,8 +63,8 @@
                       )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 include(KF6PackageMacros.cmake)
@@ -94,16 +91,6 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Package")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Package_QCH
-        FILE KF6PackageQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PackageQchTargets.cmake\")")
-endif()
 
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF6PackageConfig.cmake.in"

=== autotests/mockdepresolver/CMakeLists.txt ===
add_executable(mockhandler main.cpp)
ecm_mark_nongui_executable(mockhandler)
target_link_libraries(mockhandler Qt6::Core)

=== debian/changelog ===
kf6-kpackage (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:16:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6doctools-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6doctools-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
@@ -53,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
          libkf6package6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
        # Disabled due to 3 - plasmoidpackagetest (Failed)
	# xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --buildsystem=kf6 -O--buildsystem=kf6 --no-parallel

## kf6-kpackage 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 include(KF6PackageMacros.cmake)

=== src/kpackage/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-package.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-package.h)

add_library(KF6Package)
add_library(KF6::Package ALIAS KF6Package)

set_target_properties(KF6Package PROPERTIES
    VERSION     ${PACKAGE_VERSION}
    SOVERSION   ${PACKAGE_SOVERSION}
    EXPORT_NAME Package
)

target_sources(KF6Package PRIVATE
    package.cpp
    packagestructure.cpp
    packageloader.cpp
    packagejob.cpp
    private/packages.cpp
    private/packagejobthread.cpp
)

ecm_qt_declare_logging_category(KF6Package
    HEADER kpackage_debug.h
    IDENTIFIER KPACKAGE_LOG
    CATEGORY_NAME kf.package
    OLD_CATEGORY_NAMES kf5.kpackage
    DESCRIPTION "kpackage (lib)"
    EXPORT KPACKAGE
)

ecm_generate_export_header(KF6Package
    EXPORT_FILE_NAME kpackage/package_export.h
    BASE_NAME KPackage
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6Package
PUBLIC
     KF6::CoreAddons
PRIVATE
     KF6::Archive
     KF6::I18n
)

if (HAVE_DBUS)
    target_link_libraries(KF6Package
        PRIVATE
        Qt::DBus # notification
    )
    target_compile_definitions(KF6Package PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(KF6Package PRIVATE -DHAVE_QTDBUS=0)
endif()

target_include_directories(KF6Package PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/KPackage>"
)
target_include_directories(KF6Package INTERFACE
  "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPackage>"
)

########### install files ###############
ecm_generate_headers(Package_CamelCase_HEADERS
    HEADER_NAMES
        Package
        PackageStructure
        PackageLoader
        PackageJob
        packagestructure_compat_p
    REQUIRED_HEADERS Package_HEADERS
    PREFIX KPackage
)

ecm_generate_qdoc(KF6Package kpackage.qdocconf)

install(FILES
        ${Package_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kpackage/package_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPackage/kpackage COMPONENT Devel)

install(FILES
        ${Package_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPackage/KPackage COMPONENT Devel)

install(TARGETS KF6Package EXPORT KF6PackageTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
if (NOT BUILD_SHARED_LIBS)
    install(TARGETS kpackage_common_STATIC EXPORT KF6PackageTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== debian/changelog ===
kf6-kpackage (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: kf6-kpackage
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6doctools-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6doctools-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
 Rules-Requires-Root: no
 
 Package: kpackagetool6
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: command line kpackage tool
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -41,7 +41,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -53,9 +53,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.18.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disabled due to 3 - plasmoidpackagetest (Failed)
	# xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --buildsystem=kf6 -O--buildsystem=kf6 --no-parallel

## kf6-kpackage 6.18.0+p24.04+vstable+git20250928.0611

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 include(KF6PackageMacros.cmake)

=== debian/changelog ===
kf6-kpackage (6.18.0+p24.04+vstable+git20250928.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:12:00 +0000

kf6-kpackage (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:02:22 +0000

kf6-kpackage (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:23:53 +0000

kf6-kpackage (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:33:45 +0000

kf6-kpackage (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:56:37 +0000

kf6-kpackage (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:40:10 +0000

kf6-kpackage (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:06:09 +0000

kf6-kpackage (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:05:48 +0000

kf6-kpackage (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:32:41 +0000

kf6-kpackage (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:02:48 +0000

kf6-kpackage (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:34:18 +0000

kf6-kpackage (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:36:54 +0000

kf6-kpackage (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:32:00 +0000

kf6-kpackage (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:39:09 +0000

kf6-kpackage (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:38:45 +0000

kf6-kpackage (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:42:27 +0000

kf6-kpackage (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:32:05 +1000

kf6-kpackage (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:59:46 +0000

kf6-kpackage (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 15:13:11 +0000

kf6-kpackage (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kpackage (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kpackage 6.18.0+p24.04+vstable+git20251005.0412

=== debian/changelog ===
kf6-kpackage (6.18.0+p24.04+vstable+git20251005.0412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:13:00 +0000
